org.eclipse.wst.jsdt.debug.core.jsdi.request

## Interface BreakpointRequest

All Superinterfaces:
  EventRequest, Locatable, Mirror

    public interface BreakpointRequest
    extends EventRequest, Locatable

Description of a JSDI request for breakpoints.
A breakpoint request can be filtered by:

- A `ThreadReference`
- A `String` condition
- A hit count

Or any combination of the above.

Since:
  1.0
See Also:
  `EventRequest`, `Locatable`, `ThreadReference`
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addConditionFilter(java.lang.String condition)` Adds the given condition filter to the request.
`void` `addHitCountFilter(int hitcount)` Adds the given hit count filter to the request.
`void` `addThreadFilter(ThreadReference thread)` Adds the given `ThreadReference` as a filter to the request.

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.request.EventRequest

`isEnabled, setEnabled`

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.Mirror

`virtualMachine`

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.Locatable

`location`

### Method Detail

#### addThreadFilter

    void addThreadFilter(ThreadReference thread)

Adds the given `ThreadReference` as a filter to the request. The `ThreadReference` is used to prune matching locations for the request.

Parameters:
  `thread` - a `ThreadReference` to add as a filter, `null` is not accepted

#### addConditionFilter

    void addConditionFilter(java.lang.String condition)

Adds the given condition filter to the request. The condition is used to prune matching locations for the request.

Parameters:
  `condition` - the new condition to add as a filter, `null` is not accepted

#### addHitCountFilter

    void addHitCountFilter(int hitcount)

Adds the given hit count filter to the request.

Parameters:
  `hitcount` - the new hit count filter to set